Bug 174998 - font configuration window resizes w/ large fonts
Summary: font configuration window resizes w/ large fonts
Status: RESOLVED FIXED
Alias: None
Product: konsole
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: LO minor (vote)
Target Milestone: ---
Assignee: Konsole Developer
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2008-11-13 01:45 UTC by Jacopo De Simoi
Modified: 2012-08-01 13:21 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.10


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jacopo De Simoi 2008-11-13 01:45:52 UTC
Version:            (using Devel)
Compiler:          gcc (GCC) 4.1.2 (Gentoo 4.1.2 p1.0.2) 
OS:                Linux
Installed from:    Compiled sources

The font configuration window (i.e. Settings->Edit current profile->[Appearance]) resizes itself to fit the preview of a font in case a (very) large font is selected; when returning to a reasonably sized font the window does not shrink back to normal (and therefore can be much wider than the screen itself).

Steps to reproduce:
1) open konsole (4.1.3), go to Settings->Edit current profile->[Appearance] tab
2) use the slider to obtain a large size (>200) font, the window gets wider to accomodate the preview
3) use the slider to go back to a regular sized font, the window stays wide

Expected behaviour:
The window should either come back to the default size or not resize at all (what's the point of having a >200pt font in konsole anyways?)

Thanks 
 J
Comment 1 Jacopo De Simoi 2008-11-13 01:48:38 UTC
Edit: Sorry, actually with the slider you cannot select such a large font, but just click on "edit font" and select a 200 font and you'll see what I mean
Comment 2 Kurt Hindenburg 2011-03-04 20:10:12 UTC
yep, needs to be limit
Comment 3 Kurt Hindenburg 2012-08-01 13:21:07 UTC
Git commit 5a05a90e2f96ae5b6de660af1dd86a6b00a2019c by Kurt Hindenburg.
Committed on 01/08/2012 at 15:16.
Pushed by hindenburg into branch 'master'.

Do not resize edit profile dialog when picking a huge font size

When picking a huge font, the edit profile dialog would get resized and
would not return to its original size if decreasing the font size.
This fix using the ksqueezedtext widget instead of a qlabel.
FIXED-IN: 4.10

M  +9    -1    src/EditProfileDialog.ui

http://commits.kde.org/konsole/5a05a90e2f96ae5b6de660af1dd86a6b00a2019c